browser.messageDisplayScripts.register({
    css: [
	{file: "/style.css"}
    ],
    js: [
	{file: "/common.js"},
	{file: "/content.js"}
    ],
});


browser.menus.create({
    id: "liu-safelinks-copy",
    title: "Copy original link",
    contexts: ["link"],
    visible: true,
    targetUrlPatterns: ["*://*.safelinks.protection.outlook.com/*"],
});

browser.menus.onClicked.addListener((info, tab) => {
    if (info.menuItemId == "liu-safelinks-copy") {
	navigator.clipboard.writeText(untangleLink(info.linkUrl));
    }
});

